﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using System.Configuration;
using System.Data.SqlClient;
using Accordion_jQuery_MVC.Models;
namespace Accordion_jQuery_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            List<AccordionModel> items = new List<AccordionModel>();
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.CommandText = "select Title, Content from AccordianContent";
                    cmd.Connection = con;
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        while (sdr.Read())
                        {
                            items.Add(new AccordionModel
                            {
                                Title = sdr["Title"].ToString(),
                                Content = sdr["Content"].ToString()
                            });
                        }
                    }

                    con.Close();
                }
            }

            return View(items);
        }
    }
}